APIs / Subito Motori / Search
Subito Motori: Search
Search from Subito Motori as JSON. 1 credit per successful call.
GET /v1/subito-motori/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
c | integer | Optional | Any |
q | string | Optional | Up to 200 characters |
qso | boolean | Optional | Any |
cb | string | Optional | Up to 6 characters |
cm[] | list of string | Optional | Up to 6 characters |
t | string | Optional | s, k, g, u, h |
sort | string | Optional | datedesc, relevance, priceasc, pricedesc, yearasc, yeardesc, mileageasc, mileagedesc, hpasc, hpdesc, vlenasc, vlendesc |
ps | integer | Optional | Any |
pe | integer | Optional | Any |
ms | integer | Optional | Any |
me | integer | Optional | Any |
ys | integer | Optional | Any |
ye | integer | Optional | Any |
hps | integer | Optional | Any |
hpe | integer | Optional | Any |
eps | integer | Optional | Any |
epe | integer | Optional | Any |
fl[] | list of integer | Optional | Any |
gr | integer | Optional | 1, 2, 3, 4 |
ct[] | list of integer | Optional | Any |
pl[] | list of integer | Optional | Any |
cl[] | list of integer | Optional | Any |
cvs[] | list of integer | Optional | Any |
dr | integer | Optional | 1, 2, 3 |
ss | integer | Optional | Any |
se | integer | Optional | Any |
advt[] | list of string | Optional | 0, 1, 2 |
eq[] | list of string | Optional | Up to 64 characters |
ic[] | list of integer | Optional | Any |
r | integer | Optional | Any |
ci | integer | Optional | Any |
to | string | Optional | Up to 6 characters |
ndo | boolean | Optional | Any |
urg | boolean | Optional | Any |
shp | boolean | Optional | Any |
vatd | boolean | Optional | Any |
qltsf | boolean | Optional | Any |
qsms[] | list of string | Optional | Up to 64 characters |
lim | integer | Optional | Any |
start | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/subito-motori/search?c=2&cb=000008&ps=10000&pe=20000&lim=2" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.